Package com.xebialabs.xlrelease.utils

# Class Diff<K,A>

java.lang.Object
com.xebialabs.xlrelease.utils.Diff<K,A>

All Implemented Interfaces:
  `Serializable`, `scala.Equals`, `scala.Product`

public class Diff<K,A> extends Object implements scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Diff()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `scala.collection.immutable.Map<K,A>`
  `after()`
  `static <K, A> Diff<K,A>`
  `apply(scala.collection.immutable.Map<K,A> before, scala.collection.immutable.Map<K,A> after)`
  `static <K, A> Diff<K,A>`
  `apply(scala.collection.immutable.Map<K,A> before, scala.collection.immutable.Map<K,A> after, scala.Function2<A,A,Object> areEqual)`
  `static <A> Diff<A,A>`
  `apply(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after)`
  `static <K, A> scala.Function2<A,A,Object>`
  `apply$default$3()`
  `static <K, A> Diff<K,A>`
  `applyWithKeyMapping(List<A> before, List<A> after, scala.Function1<A,K> keyMapping)`
  `static <K, A> Diff<K,A>`
  `applyWithKeyMapping(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after, scala.Function1<A,K> keyMapping)`
  `static <K, A> Diff<K,A>`
  `applyWithKeyMappingAndComparator(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after, scala.Function1<A,K> keyMapping, scala.Function2<A,A,Object> areEqual)`
  `scala.Function2<A,A,Object>`
  `areEqual()`
  `scala.collection.immutable.Map<K,A>`
  `before()`
  `boolean`
  `canEqual(Object x$1)`
  `<K, A> Diff<K,A>`
  `copy(scala.collection.immutable.Map<K,A> before, scala.collection.immutable.Map<K,A> after, scala.Function2<A,A,Object> areEqual)`
  `<K, A> scala.collection.immutable.Map<K,A>`
  `copy$default$1()`
  `<K, A> scala.collection.immutable.Map<K,A>`
  `copy$default$2()`
  `<K, A> scala.Function2<A,A,Object>`
  `copy$default$3()`
  `scala.collection.immutable.ListMap<K,A>`
  `deletedEntries()`
  `scala.collection.immutable.Set<K>`
  `deletedKeys()`
  `scala.collection.Iterable<A>`
  `deletedValues()`
  `boolean`
  `equals(Object x$1)`
  `<B> B`
  `fold(B init, scala.Function2<B,scala.Tuple2<K,A>,B> onNew, scala.Function2<B,scala.Tuple2<K,scala.Tuple2<A,A>>,B> onUpdated, scala.Function2<B,scala.Tuple2<K,A>,B> onDeleted)`
  `void`
  `foreach(scala.Function2<K,A,scala.runtime.BoxedUnit> onNew, scala.Function2<K,scala.Tuple2<A,A>,scala.runtime.BoxedUnit> onUpdated, scala.Function2<K,A,scala.runtime.BoxedUnit> onDeleted)`
  `void`
  `foreachValue(scala.Function1<A,scala.runtime.BoxedUnit> onNew, scala.Function1<A,scala.runtime.BoxedUnit> onUpdated, scala.Function1<A,scala.runtime.BoxedUnit> onDeleted)`
  `int`
  `hashCode()`
  `scala.collection.immutable.ListMap<K,A>`
  `newEntries()`
  `scala.collection.immutable.Set<K>`
  `newKeys()`
  `scala.collection.Iterable<A>`
  `newValues()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `toString()`
  `static <K, A> scala.Option<scala.Tuple3<scala.collection.immutable.Map<K,A>,scala.collection.immutable.Map<K,A>,scala.Function2<A,A,Object>>>`
  `unapply(Diff<K,A> x$0)`
  `scala.collection.immutable.ListMap<K,scala.Tuple2<A,A>>`
  `updatedEntries()`
  `scala.collection.immutable.Set<K>`
  `updatedKeys()`
  `scala.collection.Iterable<scala.Tuple2<A,A>>`
  `updatedPairs()`
  `scala.collection.Iterable<A>`
  `updatedValues()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### Diff

    public Diff()

- ## Method Details

  - ### apply

    public static <K, A> Diff<K,A> apply(scala.collection.immutable.Map<K,A> before, scala.collection.immutable.Map<K,A> after)

  - ### apply

    public static <A> Diff<A,A> apply(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after)

  - ### apply$default$3

    public static <K, A> scala.Function2<A,A,Object> apply$default$3()

  - ### applyWithKeyMapping

    public static <K, A> Diff<K,A> applyWithKeyMapping(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after, scala.Function1<A,K> keyMapping)

  - ### applyWithKeyMapping

    public static <K, A> Diff<K,A> applyWithKeyMapping(List<A> before, List<A> after, scala.Function1<A,K> keyMapping)

  - ### applyWithKeyMappingAndComparator

    public static <K, A> Diff<K,A> applyWithKeyMappingAndComparator(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after, scala.Function1<A,K> keyMapping, scala.Function2<A,A,Object> areEqual)

  - ### apply

    public static <K, A> Diff<K,A> apply(scala.collection.immutable.Map<K,A> before, scala.collection.immutable.Map<K,A> after, scala.Function2<A,A,Object> areEqual)

  - ### unapply

    public static <K, A> scala.Option<scala.Tuple3<scala.collection.immutable.Map<K,A>,scala.collection.immutable.Map<K,A>,scala.Function2<A,A,Object>>> unapply(Diff<K,A> x$0)

  - ### before

    public scala.collection.immutable.Map<K,A> before()

  - ### after

    public scala.collection.immutable.Map<K,A> after()

  - ### areEqual

    public scala.Function2<A,A,Object> areEqual()

  - ### deletedEntries

    public scala.collection.immutable.ListMap<K,A> deletedEntries()

  - ### newEntries

    public scala.collection.immutable.ListMap<K,A> newEntries()

  - ### updatedEntries

    public scala.collection.immutable.ListMap<K,scala.Tuple2<A,A>> updatedEntries()

  - ### deletedKeys

    public scala.collection.immutable.Set<K> deletedKeys()

  - ### newKeys

    public scala.collection.immutable.Set<K> newKeys()

  - ### updatedKeys

    public scala.collection.immutable.Set<K> updatedKeys()

  - ### deletedValues

    public scala.collection.Iterable<A> deletedValues()

  - ### newValues

    public scala.collection.Iterable<A> newValues()

  - ### updatedPairs

    public scala.collection.Iterable<scala.Tuple2<A,A>> updatedPairs()

  - ### updatedValues

    public scala.collection.Iterable<A> updatedValues()

  - ### fold

    public <B> B fold(B init, scala.Function2<B,scala.Tuple2<K,A>,B> onNew, scala.Function2<B,scala.Tuple2<K,scala.Tuple2<A,A>>,B> onUpdated, scala.Function2<B,scala.Tuple2<K,A>,B> onDeleted)

  - ### foreach

    public void foreach(scala.Function2<K,A,scala.runtime.BoxedUnit> onNew, scala.Function2<K,scala.Tuple2<A,A>,scala.runtime.BoxedUnit> onUpdated, scala.Function2<K,A,scala.runtime.BoxedUnit> onDeleted)

  - ### foreachValue

    public void foreachValue(scala.Function1<A,scala.runtime.BoxedUnit> onNew, scala.Function1<A,scala.runtime.BoxedUnit> onUpdated, scala.Function1<A,scala.runtime.BoxedUnit> onDeleted)

  - ### copy

    public <K, A> Diff<K,A> copy(scala.collection.immutable.Map<K,A> before, scala.collection.immutable.Map<K,A> after, scala.Function2<A,A,Object> areEqual)

  - ### copy$default$1

    public <K, A> scala.collection.immutable.Map<K,A> copy$default$1()

  - ### copy$default$2

    public <K, A> scala.collection.immutable.Map<K,A> copy$default$2()

  - ### copy$default$3

    public <K, A> scala.Function2<A,A,Object> copy$default$3()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`